
From: Christoph Hellwig <hch@lst.de>

A function must not return a const value, instead use __attribute_const__.

Signed-off-by: Christoph Hellwig <hch@lst.de>
Acked-by: Paul Mackerras <paulus@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/asm-ppc/time.h |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN include/asm-ppc/time.h~ppc32-fix-gcc4-warning-in-asm-ppc-timeh include/asm-ppc/time.h
--- 25/include/asm-ppc/time.h~ppc32-fix-gcc4-warning-in-asm-ppc-timeh	Thu Aug  4 15:38:26 2005
+++ 25-akpm/include/asm-ppc/time.h	Thu Aug  4 15:38:26 2005
@@ -10,6 +10,7 @@
 #define __ASM_TIME_H__
 
 #include <linux/config.h>
+#include <linux/compiler.h>
 #include <linux/types.h>
 #include <linux/rtc.h>
 #include <linux/threads.h>
@@ -58,7 +59,7 @@ static __inline__ void set_dec(unsigned 
 /* Accessor functions for the timebase (RTC on 601) registers. */
 /* If one day CONFIG_POWER is added just define __USE_RTC as 1 */
 #ifdef CONFIG_6xx
-extern __inline__ int const __USE_RTC(void) {
+extern __inline__ int __attribute_const__ __USE_RTC(void) {
 	return (mfspr(SPRN_PVR)>>16) == 1;
 }
 #else
_
